
import 'package:flutter/material.dart';
import 'package:flutter_wisetronic/widgets/desktop/desktop_search_place.dart';
import '../widgets/mobile/mobile_search_place.dart';
import 'package:responsive_builder/responsive_builder.dart';

class SearchPlace extends StatelessWidget {
  final Key? key;
  final int businessId;
  const SearchPlace(this.businessId, {this.key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
        ScreenTypeLayout(
          mobile: MobileSearchPlace(businessId),
          tablet: DesktopSearchPlace(businessId),
          desktop: DesktopSearchPlace(businessId),
        ),
    );
  }

}